std::_Fwd_list_const_iterator< _Tp >(3cxx)

NAME
std::_Fwd_list_const_iterator< _Tp > - A forward_list::const_iterator.

SYNOPSIS

  Public Types

typedef _Fwd_list_const_iterator< _Tp > _Self
typedef ptrdiff_t difference_type
typedef _Fwd_list_iterator< _Tp > iterator
typedef std::forward_iterator_tag iterator_category
typedef _Tp value_type

  Public Member Functions

_Fwd_list_const_iterator (const _Fwd_list_node_base *__n) noexcept
_Fwd_list_const_iterator (const iterator &__iter) noexcept
_Self _M_next () const noexcept
bool operator!= (const _Self &__x) const noexcept
reference operator* () const noexcept
_Self & operator++ () noexcept
_Self operator++ (int) noexcept
pointer operator-> () const noexcept
bool operator== (const _Self &__x) const noexcept

  Public Attributes

const _Fwd_list_node_base * _M_node
const typedef _Fwd_list_node< _Tp > _Node
const typedef _Tp * pointer
const typedef _Tp & reference

Detailed Description

  template<typename _Tp>
struct std::_Fwd_list_const_iterator< _Tp >" A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 202 of file forward_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.